### Class

# GtkSource Language

#### Description [src]

    final class GtkSource.Language : GObject.Object
    {
      /* No available fields */
    }

Represents a syntax highlighted language.

A `GtkSourceLanguage` represents a programming or markup language, affecting syntax highlighting and context classes.

Use `GtkSourceLanguageManager` to obtain a `GtkSourceLanguage` instance, and `gtk_source_buffer_set_language()` to apply it to a `GtkSourceBuffer`.

#### Hierarchy

#### Ancestors

- GObject

#### Instance methods

###### gtk_source_language_get_globs

Returns the globs associated to this language.

###### gtk_source_language_get_hidden

Returns whether the language should be hidden from the user.

###### gtk_source_language_get_id

Returns the ID of the language.

###### gtk_source_language_get_metadata

No description available.

###### gtk_source_language_get_mime_types

Returns the mime types associated to this language.

###### gtk_source_language_get_name

Returns the localized name of the language.

###### gtk_source_language_get_section

Returns the localized section of the language.

###### gtk_source_language_get_style_fallback

Returns the ID of the style to use if the specified `style_id` is not present in the current style scheme.

###### gtk_source_language_get_style_ids

Returns the ids of the styles defined by this `language`.

###### gtk_source_language_get_style_name

Returns the name of the style with ID `style_id` defined by this `language`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### GtkSource.Language:hidden

No description available.

###### GtkSource.Language:id

No description available.

###### GtkSource.Language:name

No description available.

###### GtkSource.Language:section

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GtkSourceLanguageClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.